{ buildNeovimPlugin, fetchFromGitHub }:

[
  (buildNeovimPlugin {
    name = "vim-sensible";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-sensible";
      rev = "8985da7669bbd73afce85ef0e4a3e1ce2e488595";
      sha256 = "15pvhbk7hkf3z7zsv1bqizqmiw75nvckf3j6njckj5ijx6kzjsnj";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "vim-sleuth";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-sleuth";
      rev = "1d25e8e5dc4062e38cab1a461934ee5e9d59e5a8";
      sha256 = "1nb90zm9jc2mq5fxbxifrmhkpjs3a5y68amr3f99rxfd0197jxcs";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "vim-fugitive";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-fugitive";
      rev = "b411b753f805b969cca856e2ae51fdbab49880df";
      sha256 = "0bcq71hfy08q4lq83rcrwpg7jkq0aszcbaqnjhphvg8wja5q30dm";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "vim-rhubarb";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-rhubarb";
      rev = "cad60fe382f3f501bbb28e113dfe8c0de6e77c75";
      sha256 = "1c456ypxgjnmbprjl79kvg5vm26nws0csw8fbs6gmdr21m3x1p4w";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "vim-surround";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-surround";
      rev = "bf3480dc9ae7bea34c78fbba4c65b4548b5b1fea";
      sha256 = "07wk87xiri44h5k3higiw9wfp516fflhq2xyrgm5hkxs3nnnx6la";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "vim-abolish";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-abolish";
      rev = "3f0c8faadf0c5b68bcf40785c1c42e3731bfa522";
      sha256 = "1w9zim2v1av3f43z8q7zh0ia8dgjxjwnvmzd4j3y25vy25avn0lb";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "undotree";
    src = fetchFromGitHub {
      owner = "mbbill";
      repo = "undotree";
      rev = "bfc9b060c9e84497b15b4d602095ba008383b664";
      sha256 = "1w2r73a73zjbgfnkcnq2xlk2k0fw1zdjqrhigs6bp3ni3335dhjq";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "telescope.nvim";
    src = fetchFromGitHub {
      owner = "nvim-telescope";
      repo = "telescope.nvim";
      rev = "b923665e64380e97294af09117e50266c20c71c7";
      sha256 = "0iwlmr94kdr1xwsn2l7ryxx7x1cicpbk86flxzza6877dmig226w";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "telescope-fzf-native.nvim";
    src = fetchFromGitHub {
      owner = "nvim-telescope";
      repo = "telescope-fzf-native.nvim";
      rev = "6791f74e9f08a9412c43dcba805ecf2f8888bdde";
      sha256 = "1fl4k6r71zgqx57hilf92zfjvqdb9znnxd0ymx68b9kqr66bwidx";
    };

    dontBuild = false;
  })
  (buildNeovimPlugin {
    name = "plenary.nvim";
    src = fetchFromGitHub {
      owner = "nvim-lua";
      repo = "plenary.nvim";
      rev = "a3dafaa937921a4eb2ae65820c3479ab561e9ba3";
      sha256 = "0n90xnxi6nrwqkkay94j2h3mcbayscmdrxa3qzpiygfsq5dqbjz5";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "mini.nvim";
    src = fetchFromGitHub {
      owner = "echasnovski";
      repo = "mini.nvim";
      rev = "085baefa6aca44526be621b15e7b688f996c2daf";
      sha256 = "1p7an177rzv7655rw7mkmblrp1vnx983pnlqbcxciz9308b1ys74";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "gitsigns.nvim";
    src = fetchFromGitHub {
      owner = "lewis6991";
      repo = "gitsigns.nvim";
      rev = "1e107c91c0c5e3ae72c37df8ffdd50f87fb3ebfa";
      sha256 = "0qg2y796mkkisyab6br4p0d6blx8ispglpphpdlmf14hp9si56bp";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "nvim-lspconfig";
    src = fetchFromGitHub {
      owner = "neovim";
      repo = "nvim-lspconfig";
      rev = "df17834baeba1b8425c15a31cbf52e6b23115c37";
      sha256 = "1jc9grkiwczx0p4yyckjbcsz5kg3qldgi1g3fw8zlbpa2zspajb0";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "nvim-treesitter-textobjects";
    src = fetchFromGitHub {
      owner = "nvim-treesitter";
      repo = "nvim-treesitter-textobjects";
      rev = "6dcd228384be6fa95199db57cccf27dbd4c743a5";
      sha256 = "0l2l7r4kl2j9mvjiij419hdpghv410d5jqfqrp52l74vw703j294";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "typescript.nvim";
    src = fetchFromGitHub {
      owner = "jose-elias-alvarez";
      repo = "typescript.nvim";
      rev = "4f362c92c1f2f41c9bb13e72106b8719ae3ff379";
      sha256 = "0g38l0bdz8afixj34pap6ig2sd82qxggzj5kgak258g0ng0jlhyj";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "null-ls.nvim";
    src = fetchFromGitHub {
      owner = "jose-elias-alvarez";
      repo = "null-ls.nvim";
      rev = "de751688c991216f0d17ced7d5076e0c37fa383f";
      sha256 = "0pqhaai1zrq76la1ys21w89yjfpbb3w5b987jx50j4ip78nk572r";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "fidget.nvim";
    src = fetchFromGitHub {
      owner = "j-hui";
      repo = "fidget.nvim";
      rev = "492492e7d50452a9ace8346d31f6d6da40439f0e";
      sha256 = "1s3qv09gbsjjmqkb85hc4832j18hd21j37rg4iqks0a4n2z5yi4b";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "sonokai";
    src = fetchFromGitHub {
      owner = "sainnhe";
      repo = "sonokai";
      rev = "17b5a8e085c13b650dc34c3b81b27374b5ea1439";
      sha256 = "0ssmn8lr4mgi8wcckaym3qnjg3m3l67a5avbsc3yj6igavv7c7mb";
    };

    dontBuild = true;
  })
]
